divert(-1)
dnl changecom(`;')

* utilitaires M4
define(`ALIAS', `define($1`_IP4', $2`'_IP4)')
define(`MAKE_GETTER', `define(`$1', $`'1`_'$`'0)')
MAKE_GETTER(`IP4')
MAKE_GETTER(`NAME')
define(`FQDN', `NAME($1).ZONE_DOMAIN')

* hébergeur : gresille.org
define(`GRESILLE_IP4', `IP4(LOCAL)')

* hébergeur : Gandi Vélocampus Nantes
define(`GANDI_NANTES_IP4', `217.70.180.130')
define(`GANDI_NANTES_15_NAME', `gpaas15.dc0.gandi.net.')
define(`GANDI_NANTES_1_NAME', `gpaas1.dc0.gandi.net.')
define(`GANDI_WEBREDIR_NAME', `webredir.vip.gandi.net.')

* hébergeur : Gandi Vélocampus Besançon
define(`GANDI_BESANCON_IP4', `92.243.1.91')

* hébergeur : freebox censive
define(`FB_CENVIVE_IP4', `82.235.60.148')

* hébergeur : Google
define(`GOOGLE_GHS_NAME', `ghs.googlehosted.com.')
define(`GOOGLE_ASPMX_NAME', `aspmx.l.google.com.')
define(`GOOGLE_ALT1SPMX_NAME', `alt1.aspmx.l.google.com.')
define(`GOOGLE_ALT2SPMX_NAME', `alt2.aspmx.l.google.com.')
define(`GOOGLE_ASPMX2_NAME', `aspmx2.googlemail.com.')
define(`GOOGLE_ASPMX3_NAME', `aspmx3.googlemail.com.')
define(`GOOGLE_ASPMX4_NAME', `aspmx4.googlemail.com.')
define(`GOOGLE_ASPMX5_NAME', `aspmx5.googlemail.com.')

divert(0)dnl
$TTL 1h ; TTL (Time To Live) par défaut pour les enregistrements

; ENREGISTREMENT « SOA » (Start Of Authority).
@ SOA ns hostmaster (
	ZONE_SERIAL ; Serial number.
	1d ; Refresh.
	15m ; Retry.
	2592000 ; Expire.
	1d ; TTL (Time To Live) minimum.
 )

; ENREGISTREMENTS « A » (DNS -> adresse IPv4)
@                    A IP4(GRESILLE)
besancon             A IP4(GANDI_BESANCON)
burette              A IP4(GRESILLE)
censive              A IP4(FB_CENVIVE)
ns                   A IP4(GRESILLE)
old                  A IP4(GANDI_NANTES)
www                  A IP4(GRESILLE)

; ENREGISTREMENTS « CNAME » (Canonical NAME)
; NOTE : l'utilisation de CNAME n'est judicieuse que si la ressource pointée
; n'est pas sous notre contrôle. Par exemple,
; foo.example.org. CNAME foo.example.com.
; Dans le cas contraire, le seul résultat est un traffic réseau accru,
; et l'emploi de macros est préférable.
; ```You keep using CNAME records. I do not think they mean what you think they mean.'''
calendar             CNAME NAME(GOOGLE_GHS)
doc                  CNAME NAME(GOOGLE_GHS)
forum                CNAME NAME(GANDI_WEBREDIR)
imap                 CNAME mail-server
intranet             CNAME web-server
listes               CNAME mail-server
mail                 CNAME NAME(GOOGLE_GHS)
mail-server          CNAME censive
mailman              CNAME mail-server
nantes               CNAME www
osm                  CNAME web-server
photos               CNAME web-server
roundcube            CNAME NAME(GANDI_NANTES_1)
sites                CNAME NAME(GOOGLE_GHS)
smtp                 CNAME mail-server
start                CNAME NAME(GOOGLE_GHS)
svn                  CNAME web-server
sympa                CNAME mail-server
test                 CNAME NAME(GANDI_NANTES_15)
tiles                CNAME osm
tiles.osm            CNAME osm
veryold              CNAME NAME(GANDI_NANTES_1)
web-server           CNAME censive
webmail              CNAME roundcube
wiki                 CNAME NAME(GANDI_NANTES_1)
yallahweb            CNAME NAME(GANDI_NANTES_1)

; ENREGISTREMENTS « MX » (Mail eXchange)
; NOTE : le reverse et le forward associés au nom donné à un enregistrement MX
; devraient correspondre. Certains antispams le vérifient, et certains (rares) admins
; bloquent même au niveau de la session SMTP si il ne correspond pas.
;@ 180 MX 5 mx
@ MX 1  NAME(GOOGLE_ASPMX)
@ MX 3  NAME(GOOGLE_ALT1SPMX)
@ MX 3  NAME(GOOGLE_ALT2SPMX)
@ MX 5  NAME(GOOGLE_ASPMX2)
@ MX 5  NAME(GOOGLE_ASPMX3)
@ MX 5  NAME(GOOGLE_ASPMX4)
@ MX 5  NAME(GOOGLE_ASPMX5)

; ENREGISTREMENTS « NS » (Name Server)
@ NS ns
@ NS ns6.gandi.net.

; ENREGISTREMENTS "PTR" (IPv* -> name)
; NOTE : Dans le cas d’hébergement massif de domaines virtuels derrière une même adresse IP,
;        il est recommandé de ne pas appliquer sans discernement la règle un enregistrement PTR
;        par enregistrement A (ou AAAA) : le nombre des champs PTR à renvoyer pouvant faire dépasser
;        à la réponse la taille des paquets UDP et entraîner l’utilisation du protocole TCP
;        (plus coûteux en resources) pour envoyer la réponse à la requête DNS ;
;        cf. section "4.4 Usage and deployment considerations" du document :
;        http://tools.ietf.org/html/draft-ietf-dnsop-reverse-mapping-considerations

; ENREGISTREMENTS "SPF" (Sender Policy Framework)
; @ 3600 IN SPF "v=spf1 ip4:IP4(GRESILLE) redirect=_spf.google.com -all"
; @ 3600 IN TXT "v=spf1 ip4:IP4(GRESILLE) redirect=_spf.google.com -all"

; ENREGISTREMENTS « SRV » (SeRVice)
_git._tcp.git 18000 IN SRV 0 0 9418 git

; ENREGISTREMENTS « SSHFP » (Secure SHell FingerPrint)
esyscmd(sudo ssh-keygen -r @)
